﻿/*******************************************************************************************
 *Copyright (c) 2017Biobase All Rights Reserved.
 *CLR版本: 4.0.30319.18408
 *机器名称:3OWM56IB5STCV64
 *公司名称:Biobase
 *命名空间:NetMQDemoSubscriber
 *文件名:ISubscriber
 *版本号:V1.0.0.0
 *唯一标识:d684daed-44aa-4a46-97bc-4cf9ca0d2052
 *当前的用户域:3OWM56IB5STCV64
 *创建人:mzyfbz
 *电子邮箱:mzyfbz@dingtalk.com
 *创建时间:2017-10-13 16:59:28

 *描述
 *
 *==========================================================================================
 *修改标记
 *修改时间:2017-10-13 16:59:28
 *修改人:mzyfbz
 *版本号:V1.0.0.0
 *描述:
 *
********************************************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetMQDemoSubscriber
{
    public interface ISubscriber:IDisposable
    {
        /// <summary>
        /// 事件
        /// </summary>
        event Action<string, string> Nofity;

        /// <summary>
        /// 注册订阅主题
        /// </summary>
        /// <param name="topics"></param>
        void RegisterSubscriber(List<string> topics);

        /// <summary>
        /// 注册订阅
        /// </summary>
        void RegisterSbuscriberAll();

        /// <summary>
        /// 移除所有订阅消息，并关闭
        /// </summary>
        void RemoveSbuscriberAll();
    }
}
